<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.label.mapper.LabelMapper">

    <select id="selectListPage" resultType="cn.iocoder.yudao.module.label.vo.LabelRespVO">
        SELECT
            *
        FROM
            base_label
        <where>
            deleted = 0
            <if test="entity.labelName != null and entity.cusName != ''">
                AND label_name LIKE concat('%',#{entity.labelName},'%')
            </if>
            <if test="entity.type != null and entity.type != ''">
                AND type = #{entity.type}
            </if>
        </where>
    </select>
</mapper>